Bug 534508 - (RHQ-1299) create monitor mbean to track performance of dynagroup recalculations
create monitor mbean to track performance of dynagroup recalculations
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Operations (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Jeff Weiss
http://jira.rhq-project.org/browse/RH...
: SubFeature
Depends On:
Blocks: RHQ-399
  Show dependency treegraph
 
Reported: 2008-12-21 23:11 EST by Joseph Marques
Modified: 2014-11-09 17:48 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2008-12-21 23:11:00 EST
instead of printing the performance statistics for dynagroup recalculation to the RHQ Server's log, write support for exposing rich performance metrics on a groupDefinition-by-groupDefinition basis through a monitor mbean.
Comment 1 Joseph Marques 2008-12-21 23:19:18 EST
rev2516 - performance metrics for work done by recalculation thread for group defs / dyna groups; 
a new service - "RHQ Server Group Definition / DynaGroups Subsystem" - under the RHQ Server exists to wrap this functionality; 
a "get statistics" method exist and will retrieve metrics on a groupDefinition-by-groupDefinition basis;
clear statistics will reset them to zero (as will a server restart); 
four measurement definition exist on the service itself to help graph overall group definition metrics over time; 
Comment 2 Jeff Weiss 2008-12-24 10:50:21 EST
Is this a first-level feature, or just something to help with debugging the dynagroup recalculation feature?
Comment 3 Jeff Weiss 2009-01-06 14:14:46 EST
I added some dynagroups with recalc, the monitor graphs and tables appear to be accurate.  The dynagroup sizes did increase when I added resources.  Everything else *looks* right but for instance calc time I have no way to verify independently.  rev2522
Comment 4 Red Hat Bugzilla 2009-11-10 15:30:00 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1299

Note You need to log in before you can comment on or make changes to this bug.